# Contributions

## Contributors

We appreciate all of our contributors!
Each contributor below has made a statement of how they feel they've contributed to `tedana`.

- [**Logan Dowdle**][logan-dowdle] helps folks get multi-echo data collection going on their scanners, tries to keep up with the increasing number of multi-echo papers, likes making figures that explain what tedana has done to the data, and occasionally adds a new feature (with lots of help!).
- [**Elizabeth DuPre**][elizabeth-dupre] initiated the tedana project in 2017, building on the ME-ICA codebase. She continued to develop the code and began actively creating the community structure as part of the fifth Mozilla Open Leaders cohort (mentored by Kirstie Whitaker). Since her time as BDFL, Elizabeth has been involved in most aspects of the project -- although she currently focuses primarily on improving tedana's integration with the broader neuroimaging ecosystem.
- [**Javier Gonzalez-Castillo**][javier-gonzalez-castillo] contributed to the development of dimensionality reduction and decomposition algorithms in tedana, as well as to the development of the interactive reports.
- [**Dan Handwerker**][dan-handwerker] helps with project management (people wrangling & documentation), led the organization for the 2019 tedana hackathon, provides conceptual feedback on many aspects of the code, contributes to documentation, and contributes to the code, particularly modulariation and improvements to the component selection process.
- [**Taylor Salo**][taylor-salo] helps and has contributed to many parts of the code, including modularizing the metric calculation process, and helps with engaging new contributors to tedana.
- [**Joshua Teves**][joshua-teves] made many contributions to the code include improving stability and modularization and helped manage issues and pull requests for a variety of both administrative and code-specific tasks.
- [**Eneko Uruñuela**][eneko-urunuela] helps with the development of dimensionality reduction and decomposition algorithms in tedana, with Principal Component Analysis to be more specific, and contributed to the development of the interactive reports and RICA.
- [**Maryam Vaziri-Pashkam**][maryam-vaziri-pashkam] helps with the tedana documentation to make it easier to understand for beginners.

## Funding and Operational Support

Special thanks to the following sources of funding and operational support
for `tedana`:

- National Institutes of Mental Health, [Section on Functional Imaging Methods][sfim], for supporting the 2019 `tedana` hackathon.
- National Institutes of Health for supporting the 2019 AFNI Code Convergence, where work in the 2019 `tedana` hackathon was continued.
- The Mozilla Open Leaders program for support in developing the tedana community structure as part of [the ME-BIDS project](https://medium.com/read-write-participate/brain-imaging-in-the-open-aac7c17bcf69).

[logan-dowdle]: <https://github.com/dowdlelt>
[elizabeth-dupre]: <https://github.com/emdupre>
[javier-gonzalez-castillo]: <https://github.com/javiergcas>
[dan-handwerker]: <https://github.com/handwerkerd>
[taylor-salo]: <https://github.com/tsalo>
[joshua-teves]: <https://github.com/jbteves>
[eneko-urunuela]: <https://github.com/eurunuela>
[maryam-vaziri-pashkam]: <http://maryam-vaziri.com/>
[sfim]: <https://fim.nimh.nih.gov>
